summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorRobert Schwebel <r.schwebel@pengutronix.de>2006-05-31 06:59:56 +0000
committerRobert Schwebel <r.schwebel@pengutronix.de>2006-05-31 06:59:56 +0000
commit8b9e430b50115fca8155b8836b66b26f4377e846 (patch)
treea5bedb231b7a78c5803354ccae06a70b03ff5e84 /bin
parentfb3f839262365863b5628d76983cd83d3e20e4c4 (diff)
downloadptxdist-8b9e430b50115fca8155b8836b66b26f4377e846.tar.gz
ptxdist-8b9e430b50115fca8155b8836b66b26f4377e846.tar.xz
added 'ptxdist drop'
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-0.10-trunk@5608 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index b71ee403a..785764f0e 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -254,6 +254,7 @@ Build Actions:
targetinstall <package> install files for target into root/
clean <package> cleanup packet
autobuild search for "autobuild" scripts and run them
+ drop <package>.<stage> mark a stage of a packet as unbuilt
images build images for target system
@@ -677,6 +678,20 @@ while [ "$#" != "0" ]; do
fi
echo
;;
+ drop) shift
+ check_ptxconfig
+ echo
+ if [ -e ${STATEDIR}/$1 ]; then
+ rm -f ${STATEDIR}/$1
+ echo "droping $1"
+ echo
+ exit 0
+ else
+ echo "stage $1 isn't built, so we cannot drop it"
+ echo
+ exit 1
+ fi
+ ;;
extract) shift
check_ptxconfig
check_native